/*
 *zhangwoo.com
 * Copyright (c) 2014 zhangwoo.com
 */
(function(window) {
	var zw = {};

	//正式发布时，需要改成false
	var debug = false;
	//	图片缓存地址
	var adminUrl = "http://dashboard.amirui.com";
	//接口地址
	var baseApiUrl = "http://app.api.amirui.com";
	//聊天接口地址
	var chatUrl = 'http://chat.api.amirui.com';
	//微商城接口地址
	var wechatUrl = 'http://mall.amirui.com';

	if (!debug) {		
		adminUrl = "http://dashboard.amirui.com";
		baseApiUrl = "http://app.api.amirui.com";
		chatUrl = "http://chat.api.amirui.com";
		wechatUrl = 'http://mall.amirui.com';
	}
	zw.chatUrl = chatUrl;
	zw.adminUrl = adminUrl;
	zw.wechatUrl = wechatUrl;
	var apiBaseUrl = baseApiUrl + "/api";
	var chatServerUrl = chatUrl + '/';
	zw.chatServerUrl = chatServerUrl;
	//sessionKey主键
	var storeName = "ZW_CHAT_AUTH_PROD_TICKET_V1_20160111";
	//数据主键
	var dataStoreName = storeName + "_DATA";
	//本地存储用户信息的变量名
	var userStoreName = 'userData';
	zw.userStoreName = userStoreName;
	//本地存储搜索记录的变量名
	var historyStoreName = 'historyData';
	//本地存储商家信息
	var merchantData = 'merchantData';
	zw.merchantData = merchantData;	
	//推送消息主键
	var PushParamName = storeName + "_PUSHDATA";

	//保存商品搜索历史记录
	zw.setHistory = function(data) {
		$api.setStorage(historyStoreName, data);
	}
	//获取商品搜索历史记录
	zw.getHistory = function() {
		var data = $api.getStorage(historyStoreName);
		if (data == null || data == undefined || data == '') {
			data = null;
		}
		return data;
	}
	//清空商品搜索历史记录
	zw.clearHistory = function() {
		$api.setStorage(historyStoreName, null);
	};
	//清空token和缓存数据
	zw.clearAuth = function() {
		//console.log("clearAuth:"+storeName);
		$api.setStorage(storeName, '');
		$api.setStorage(userStoreName, null);
		$api.setStorage(dataStoreName, null);
		$api.setStorage(historyStoreName, null);
	};
	//保存token
	zw.setAuth = function(ticket) {
		//console.log("setAuth:"+storeName+","+JSON.stringify(ticket));
		$api.setStorage(storeName, ticket);
	};
	//获取Token
	zw.getAuth = function() {
		var ticket = $api.getStorage(storeName);
		//console.log("getAuth:"+storeName+","+JSON.stringify(ticket));
		//		console.log("getAuth ticket:"+ticket);
		//		alert("ticket:"+ticket);
		//如果token不存在则跳转登录页登录，否则返回token
		if (ticket == null || ticket == undefined || ticket == '') {
			setTimeout(function() {
				api.openWin({
					name : 'login',
					url : './login.html',
					rect : {
						x : 0,
						y : 0,
						w : 'auto',
						h : 'auto'
					},
					bounces : false,
					opaque : false,
					slidBackEnabled : false
				});
			}, 60);
			//console.log('change isLogin is '+false)
			//api.closeWin();
			return '';
		} else {
			return ticket;
			//console.log('change isLogin is '+true)

		}
	};
	//保存缓存数据
	zw.setStoreData = function(data) {
		$api.setStorage(dataStoreName, data);
	}
	//获取缓存数据
	zw.getStoreData = function() {
		var data = $api.getStorage(dataStoreName);
		//console.log("getStoreData:"+dataStoreName+","+JSON.stringify(data));
		//$api.toast(ticket, 5000);
		if (data == null || data == undefined || data == '') {
			data = null;
		}
		return data;
	}	
	//设置推送消息
	zw.setPushParamData = function(data) {
		$api.setStorage(PushParamName, data);
	}
	//	获取推送消息
	zw.getPushParamData = function() {
		var data = $api.getStorage(PushParamName);
		//$api.toast(ticket, 5000);
		if (data == null || data == undefined || data == '') {
			data = {
				notify : true, //是否弹出消息通知。若设置false，则即使收到推送，也将不再有通知弹出到手机状态栏
				updateCurrent : true, //本次弹出通知是否覆盖更新上一个通知。仅Android平台生效
				silenceTime : {//默认晚上23:30到第二天上午08:00点之间静默
					startHour : 23,
					startMinute : 30,
					endHour : 8,
					endMinute : 0
				},
				defaults : 'all'//"all"-震动和响铃；"sound"-仅响铃；"vibrate"-仅震动。
			};
		}
		return data;
	}
	//通用弹框
	zw.alert = function(msg, t) {
		api.toast({
			msg : msg,
			duration : t || 3000,
			location : 'middle'
		});
	}
	var loadingId = -1;
	var loadingTimeout;
	zw.loading = function() {
		return;
		var obj = api.require('loadingLabel');

		if (loadingId > 0) {
			obj.close({
				id : loadingId
			});
			loadingId = -1;
		}
		clearTimeout(loadingTimeout);

		obj.open({
			w : 32,
			h : 32,
			centerY : 300,
			gifPath : 'widget://image/loading.gif'
		}, function(ret, err) {
			loadingId = ret.id;
			loadingTimeout = setTimeout(function() {
				if (loadingId > 0) {
					obj.close({
						id : loadingId
					});
					loadingId = -1;
				}
			}, 10000);
		});
	}
	zw.loaded = function() {
		var obj = api.require("loadingLabel");
		obj.close({
			id : loadingId
		});
		loadingId = 0;
	}
	zw.remoteImage = function(path) {
		if (path == null || path == '') {
			return '';
		}
		var fullPath = '';
		if (path.indexOf('http') == 0) {
			//http开头
			fullPath = path;
		} else {
			fullPath = adminUrl + path;
		}
		return fullPath;
	}
	zw.setCacheData = function(key, distMerchant, cacheData) {
		key = "cache_data_" + key;
		if (distMerchant) {
			var data = zw.getStoreData();
			if (data != '' && data != null) {
				key = key + "_" + data.mcid;
			}
		}
		$api.setStorage(key, cacheData);
	}
	zw.getCacheData = function(key, distMerchant, _callback) {

		key = "cache_data_" + key;
		if (distMerchant) {
			var data = zw.getStoreData();
			if (data != '' && data != null) {
				key = key + "_" + data.mcid;
			}
		}
		var cacheData = $api.getStorage(key);
		//console.log("getStoreData:"+dataStoreName+","+JSON.stringify(data));
		//$api.toast(ticket, 5000);
		_callback(cacheData);
	}
	zw.cacheImage = function(path, callback, thumbnail) {
		if (thumbnail == undefined || thumbnail == null) {
			thumbnail = true;
		}
		if (path == null || path == '') {
			console.log('空头像');
//			callback('');
			return;
		}
		var fullPath = '';
		if (path.indexOf('http') == 0) {
			//http开头
			fullPath = path;
		} else {
			fullPath = adminUrl + path
		}
		api.imageCache({
			url : fullPath,
			policy : 'default',
			thumbnail : thumbnail
		}, function(ret, err) {
			if (ret) {
				//console.log('thumbnail'+thumbnail+",path:"+ret.url);
				var localpath = ret.url;
				callback(localpath);
			} else {
			}
		});
	}
	zw.productsUrl = function(pIds) {
		//api.alert({msg:'productUrl'});
		var merchantid = 0;
		var kefuid = 0;
		var data = zw.getStoreData();
		var user = $api.getStorage(userStoreName);
		if (data != '' && data != null) {
			merchantid = data.mcid;
		}
		if (user != null) {
			kefuid = user.Id;
		}
		
		var wxid=0;
		var merchantData = $api.getStorage('merchantData');
		if(merchantData!=null){
			wxid = merchantData.WxId;
		}
		
		//wechatUrl + '/good/appshare?merchantid=' + merchantid + "&gids=" + pIds + "&guideid=" + kefuid;
		var url = wechatUrl + '/Good/good_by_ids.aspx?wxid=' + wxid + "&good_ids=" + pIds + "&guideid=" + kefuid;
		return url;//wechatUrl + '/good/appshare?merchantid=' + merchantid + "&gids=" + pIds + "&guideid=" + kefuid;
	}
	zw.checkIsLogin = function() {
		var ticket = $api.getStorage(storeName);
		//		alert("ticket:"+ticket);
		//如果token不存在则跳转登录页登录，否则返回token
		//console.log('ticket is'+ticket);
		if (ticket == null || ticket == undefined || ticket == '') {
			return false;
		} else {
			return true;
		}
	}
	zw.get = function(_url, _data, _success, _error) {
		//ticket
		//if (_url.indexOf('ticket=') <= 0 && !_data.hasOwnProperty('ticket') && !_data.hasOwnProperty('noauth')) {
		//			_data['ticket'] = zw.getAuth();
		//}
		//绝对地址
		_url = apiBaseUrl + _url;
		//防止缓存
		_data['rnd'] = new Date();

		//api.ajax get不支持data参数？？？
		var dataParam = '';
		for (var sProp in _data) {
			dataParam += '&' + sProp + '=' + _data[sProp];
		}

		if (dataParam != '') {
			if (_url.indexOf('?') > 0) {
				_url += dataParam;
			} else {
				_url += '?' + dataParam;
			}
		}
		var headers = {};
		if (!_data.noauth) {
			headers.SessionKey = zw.getAuth().SessionKey;
		}
		var StoreData = zw.getStoreData();
		if (StoreData == '' || StoreData == null) {
			//
		} else {
			if (StoreData.mcid) {
				headers.MerchantId = StoreData.mcid;
			}
		}
		//		ajax get
		$.ajax({
			type : 'get',
			url : _url,
			headers : headers,
			data : _data,
			timeout : 15000,
			success : function(data) {
				var resp = data;
				if (resp.Status == '401') {
					//TODO:未登录
					zw.clearAuth();
					zw.getAuth();
					return;
				} else if (resp.Status == '200') {
					if (resp.ResultCode != '0') {
						//处理错误返回，应用程序错误
						if (!!_error) {
							_error(resp.ResultCode, resp.ResultMessage, resp.ErrorMessage);
						} else {
							zw.alert(resp.ResultMessage, 500);
							//显示错误消息
						}
					} else {
						//正确返回
						if (!!_success) {
							_success(resp.Data);
						} else {
							zw.alert(JSON.stringify(resp), 500);
						}
					}
				} else {
					zw.alert('网络连接超时', 500)
				}
			},
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				zw.loaded();
				api.hideProgress();
				zw.alert('网络连接超时', 500);
			}
		});

	}
	zw.post = function(_url, _data, _success, _error) {
		//绝对地址
		_url = apiBaseUrl + _url;
		//防止缓存
		_data['rnd'] = new Date();

		//api.ajax get不支持data参数？？？
		var dataParam = '';
		for (var sProp in _data) {
			dataParam += '&' + sProp + '=' + _data[sProp];
		}

		if (dataParam != '') {
			if (_url.indexOf('?') > 0) {
				_url += dataParam;
			} else {
				_url += '?' + dataParam;
			}
		}
		var headers = {};
		if (!_data.noauth) {
			headers.SessionKey = zw.getAuth().SessionKey;
		}
		var StoreData = zw.getStoreData();
		if (StoreData == '' || StoreData == null) {
			//
		} else {
			if (StoreData.mcid) {
				headers.MerchantId = StoreData.mcid;
			}
		}
		//		ajax get
		$.ajax({
			type : 'post',
			url : _url,
			headers : headers,
			data : _data,
			timeout : 15000,
			success : function(data) {
				var resp = data;							
				if (resp.Status == '401') {
					//TODO:未登录
					zw.clearAuth();
					zw.getAuth();
					return;
				} else if (resp.Status == '200') {
					if (resp.ResultCode != '0') {
						//处理错误返回，应用程序错误
						if (!!_error) {
							_error(resp.ResultCode, resp.ResultMessage, resp.ErrorMessage);
						} else {
							api.hideProgress();
							zw.alert(resp.ResultMessage, 500);
							//显示错误消息
						}
					} else {
						//正确返回
						if (!!_success) {
							_success(resp.Data);
						} else {
							zw.alert(JSON.stringify(resp), 500);
						}
					}
				} else {
					api.hideProgress();
					zw.alert('网络连接超时', 500)
				}
			},
			error : function(XMLHttpRequest, textStatus, errorThrown) {
				zw.loaded();
				api.hideProgress();
				zw.alert('网络连接超时', 500);
			}
		});

	}
	//货币转换格式
	zw.formatCommission = function(num, type) {
		if (num == undefined || num == null) {
			return '无';
		} else {
			num = num.toString().replace(/\$|\,/g, '');
		}

		if (type == 1) {
			if (isNaN(num))
				num = "0";
			sign = (num == ( num = Math.abs(num)));
			num = Math.floor(num * 100 + 0.50000000001);
			cents = num % 100;
			num = Math.floor(num / 100).toString();
			if (cents < 10)
				cents = "0" + cents;
			for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++)
				num = num.substring(0, num.length - (4 * i + 3)) + ',' + num.substring(num.length - (4 * i + 3));
			return (((sign) ? '' : '-') + num + '.' + cents);
		} else {
			return (num + '%');
		}
	}
	//日期转换格式
	zw.formatDate = function(date) {
		var format = '';
		if (!date || date == undefined || date == null) {
			return '';
		} else {
			date = date.replace('T', ' ');
			var now = new Date();
			var d = new Date(date.replace(/-/g, "/"));
			//alert(date+","+now.format('yyyy-MM-dd')+","+d.format('yyyy-MM-dd'));
			if (now.format('yyyy-MM-dd') == d.format('yyyy-MM-dd')) {
				format = d.format('hh:mm');
			} else {
				format = d.format('yyyy-MM-dd hh:mm');
			}
			//alert(format);
			return format;
		}
	}
	window.$zw = zw;

})(window);

//数据解析组件
(function(window, zw) {
	//数据解析
	zw.messageParser = function(msg, _callback) {
		switch(msg.MsgType) {
			case 0:
				_callback(msg);
				break;
			case 1:
				parserVoice(msg, _callback);
				break;
			case 2:
				parserImage(msg, _callback);
				break;
			case 3:
				parserProducts(msg, _callback);
				break;
			case 4:
				parserArticle(msg, _callback);
				break;
			case 5:
				parserActivity(msg, _callback);
				break;
			case 6:
				parserBonus(msg, _callback);
				break;
			case 7:
				parserSystem(msg, _callback);
				//				_callback(msg);
				break;
			default:
				parserUnknow(msg, _callback);
				break;
		}
	}
	//数据简介解析
	zw.descriptionParser = function(msgType, msgContent) {
		if (msgContent == null) {
			return "";
		}
		switch(msgType) {
			case 0:
				return msgContent;
			case 1:
				return "[语音]";
			case 2:
				return "[图片]";
			case 3:
				return "[商品消息]";
			case 4:
				return "[文章]";
			case 5:
				return "[活动]";
			case 6:
				return "[优惠券]";
			case 7:
				return "[系统消息]";
			default:
				return "[不支持消息类型]";
		}
	}
	//解析多个产品
	function parserProducts(msg, _callback) {
		var objs = [];
		try {
			objs = JSON.parse(msg.MsgContent);
		} catch(e) {
		}
		if (!(objs && objs.length > 0)) {
			msg.messageParser = '[解析商品信息错误]';
			_callback(msg);
		} else {
			var productStrs = [];
			var msgContent = "";
			if (msg.FromType == 1) {
				msgContent = '<li class="receiver" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div><div class="chat-article"><div class="right_triangle"></div>';
			} else {
				msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div><div class="chat-article"><div class="left_triangle"></div>';
			}
			for (var i = 0; i < objs.length; i++) {
				obj = objs[i];
				msgContent += '<div class="chat-goods-item" data-id=\"' + obj.Id + '\" data-link=\"' + obj.Url + '\" onclick="productClick(this);"><div class="chat-goods-icon"><img src="" class="goodImg" data-img=\"' + obj.Image + '\"></div><p class="f24">' + obj.Title + '</p><p class="price">' + obj.Description + '</p></div>';
			}
			msgContent += '</div></li>';
			msg.MsgContent = msgContent;
			//console.log(JSON.stringify(msg));
			_callback(msg);
		}
	}

	//解析图片
	function parserImage(msg, _callback) {
		var path = msg.MsgContent;
		var fullPath = '';
		if (path.indexOf('http') == 0) {
			//http开头
			fullPath = path;
		} else {
			fullPath = zw.chatUrl + path;
		}
		var msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';
		msgContent += '<div class="chat-image"><div class="left_triangle"></div><img src="" class="goodImg" onclick="Imageclick(this);" data-img="' + fullPath + '"/></li>';
		msg.MsgContent = msgContent;
		_callback(msg);
	}

	function parserVoice(msg, _callback) {
		var path = msg.MsgContent;
		var fullPath = '';
		if (path.indexOf('http') == 0) {
			//http开头
			fullPath = path;
		} else {
			fullPath = zw.chatUrl + path;
		}
		var msgContent = "";
		if (msg.FromType == 1) {
			msgContent = '<li class="receiver" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div><div class="chat-msg"><div class="right_triangle"></div><span  class="voice" onclick="voiceplay(this,\'' + fullPath + '\')"></span></div></li>';
		} else {
			msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div><div class="chat-msg"><div class="left_triangle"></div><span  class="voice" onclick="voiceplay(this,\'' + fullPath + '\')"></span></div></li>';
		}
		msg.MsgContent = msgContent;
		_callback(msg);
	}

	//解析文章
	function parserArticle(msg, _callback) {
		var articleData = [];
		try {
			articleData = JSON.parse(msg.MsgContent);
		} catch(e) {
		}
		if (msg.FromType == 1) {
			var msgContent = '<li class="receiver" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';

			for (var i = 0; i < articleData.length; i++) {
				msgContent += '<div class="chat-article" data-aid=\"' + articleData[i].Id + '\" data-alink=\"' + articleData[i].Url + '\"  onclick="ArticleClick(this);"><div class="right_triangle"></div><div class="chat-article-title">' + articleData[i].Title + '</div> ';
				msgContent += '<div class="chat-article-content">' + articleData[i].Description + '</div><div class="chat-article-icon"><img src="" class="articleImg" data-src=\"' + articleData[i].Image + '\"></div></div> ';
			}
			msgContent += '</li>';
		} else {
			var msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';

			for (var i = 0; i < articleData.length; i++) {
				msgContent += '<div class="chat-article" data-aid=\"' + articleData[i].Id + '\" data-alink=\"' + articleData[i].Url + '\"  onclick="ArticleClick(this);"><div class="left_triangle"></div><div class="chat-article-title">' + articleData[i].Title + '</div> ';
				msgContent += '<div class="chat-article-content">' + articleData[i].Description + '</div><div class="chat-article-icon"><img src="" class="articleImg" data-src=\"' + articleData[i].Image + '\"></div></div> ';
			}
			msgContent += '</li>';
		}
		msg.MsgContent = msgContent;
		_callback(msg);
	}

	//解析活动
	function parserActivity(msg, _callback) {
		var activityData = [];
		try {
			activityData = JSON.parse(msg.MsgContent);
		} catch(e) {
		}
		if (msg.FromType == 1) {
			var msgContent = '<li class="receiver" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';

			for (var i = 0; i < activityData.length; i++) {
				msgContent += '<div class="chat-article" data-aid=\"' + activityData[i].Id + '\" data-alink=\"' + activityData[i].Url + '\"  onclick="ArticleClick(this);"><div class="right_triangle"></div><div class="chat-article-title">' + activityData[i].Title + '</div> ';
				msgContent += '<div class="chat-article-content">' + activityData[i].Description + '</div><div class="chat-article-icon"><img src="" class="articleImg" data-src=\"' + activityData[i].Image + '\"></div></div> ';
			}
			msgContent += '</li>';
		} else {
			var msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';

			for (var i = 0; i < activityData.length; i++) {
				msgContent += '<div class="chat-article" data-aid=\"' + activityData[i].Id + '\" data-alink=\"' + activityData[i].Url + '\"  onclick="ArticleClick(this);"><div class="left_triangle"></div><div class="chat-article-title">' + activityData[i].Title + '</div> ';
				msgContent += '<div class="chat-article-content">' + activityData[i].Description + '</div><div class="chat-article-icon"><img src="" class="articleImg" data-src=\"' + activityData[i].Image + '\"></div></div>';
			}
			msgContent += '</li>';
		}
		msg.MsgContent = msgContent;
		_callback(msg);
	}

	//解析优惠券
	function parserBonus(msg, _callback) {
		var bonusData = JSON.parse(msg.MsgContent)
		if (msg.FromType == 1) {
			var msgContent = '<li class="receiver" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';

			for (var i = 0; i < bonusData.length; i++) {
				msgContent += '<div class="chat-article" data-aid=\"' + bonusData[i].Id + '\" data-alink=\"' + bonusData[i].Url + '\"  onclick="ArticleClick(this);"><div class="right_triangle"></div><div class="chat-article-title">' + bonusData[i].Title + '</div> ';
				msgContent += '<div class="chat-article-content">' + bonusData[i].Description + '</div><div class="chat-article-icon"><img src="" class="articleImg" data-src=\"' + bonusData[i].Image + '\"></div></div>';
			}
			msgContent += '</li>';
		} else {
			var msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';

			for (var i = 0; i < bonusData.length; i++) {
				msgContent += '<div class="chat-article" data-aid=\"' + bonusData[i].Id + '\" data-alink=\"' + bonusData[i].Url + '\"  onclick="ArticleClick(this);"><div class="left_triangle"></div><div class="chat-article-title">' + bonusData[i].Title + '</div> ';
				msgContent += '<div class="chat-article-content">' + bonusData[i].Description + '</div><div class="chat-article-icon"><img src="" class="articleImg" data-src=\"' + bonusData[i].Image + '\"></div></div>';
			}
			msgContent += '</li>';
		}
		msg.MsgContent = msgContent;
		_callback(msg);
	}

	//解析系统消息
	function parserSystem(msg, _callback) {
		var sysData = JSON.parse(msg.MsgContent)
		var LinkParam = JSON.stringify(sysData.LinkParam);
		if (msg.FromType == 1) {
			var msgContent = '<li class="receiver" data-id=\"' + msg.Id + '\"  data-link=\"' + sysData.Link + '\" data-param=\"' + escape(LinkParam) + '\"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';
			msgContent += '<div class="chat-article chat-system"   onclick="NoticeClick(this);"><div class="right_triangle blue-right"></div><div class="chat-system-title">' + sysData.Title + '</div> ';
			msgContent += '<div class="chat-system-content">';
			msgContent += sysData.Content;
			msgContent += '</div>';
			if (sysData.Link != '' && sysData.Link != null && sysData.Link != undefined) {
				msgContent += '<div class="notice-footer">' + (sysData.LinkTitle != '' ? sysData.LinkTitle : '点击查看') + '</div>';
			}
			msgContent += '</div></li>';
		} else {
			var msgContent = '<li class="sender" data-id=\"' + msg.Id + '\"  data-link=\"' + sysData.Link + '\" data-param="' + escape(LinkParam) + '"><div class="talk-time"><span>' + zw.formatDate(msg.AddTime) + '</span></div><div  class="user-icon"><img src="" class="headerImg"></div>';
			msgContent += '<div class="chat-article chat-system"   onclick="NoticeClick(this);"><div class="left_triangle blue-left"></div><div class="chat-system-title">' + sysData.Title + '</div> ';
			msgContent += '<div class="chat-system-content">';
			msgContent += sysData.Content;
			msgContent += '</div>';
			if (sysData.Link != '' && sysData.Link != null && sysData.Link != undefined) {
				msgContent += '<div class="notice-footer">' + (sysData.LinkTitle != '' ? sysData.LinkTitle : '点击查看') + '</div>';
			}
			msgContent += '</div></li>';
		}
		msg.MsgContent = msgContent;
		_callback(msg);
	}

	//解析未知
	function parserUnknow(msg, _callback) {
		msg.MsgContent = '[不支持消息类型，请升级到新版]';
		_callback(msg);
	}

})(window, $zw);

Date.prototype.format = function(fmt) {
	var o = {
		"M+" : this.getMonth() + 1, //月份
		"d+" : this.getDate(), //日
		"h+" : this.getHours(), //小时
		"m+" : this.getMinutes(), //分
		"s+" : this.getSeconds(), //秒
		"q+" : Math.floor((this.getMonth() + 3) / 3), //季度
		"S" : this.getMilliseconds() //毫秒
	};
	if (/(y+)/.test(fmt)) {
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	}
	for (var k in o) {
		if (new RegExp("(" + k + ")").test(fmt)) {
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
		}
	}
	return fmt;
}
//增加String 对象原型方法 replaceAll
//String.prototype.replaceAll  = function(s1,s2){
//  return this.replace(new RegExp(s1,'gm'),s2);
//}  