(function(win) {
	//
	var isAppLoader = false;

	var push = win.$zwPush || {};

	//极光推送Android初始化，iOS自动初始化
	push.jPushInit = function() {
		var systemType = api.systemType;
		//alert(systemType);
		if (systemType == 'android') {
			var ajpush = api.require('ajpush');

			ajpush.init(function(ret) {
				if (ret && ret.status) {
					//success
				} else {
					alert("极光推送注册失败");
				}
			});
		}
	};

	//极光推送绑定别名和标签,alias:字符串，tags：字符串数组
	//用户别名guide_{guideId}_merchant_{merchantId}
	push.jPushBindAliasAndTags = function(alias, tags) {
		var ajpush = api.require('ajpush');
		tags = tags || [];
		var param = {
			alias : alias,
			tags : tags
		};
		ajpush.bindAliasAndTags(param, function(ret) {
			//var statusCode = ret.statusCode;
			if (ret.statusCode == 0) {
				//success
				//alert("绑定推送成功:" + alias);
			} else {
				//				alert("推送绑定失败：" + ret.statusCode);
			}
		});
	};

	//极光”透传“参数,也就是我们单击状态栏的推送信息后，应该转到相应页面
	//extra:{winUrl:'',frameUrl:'',frameBottom:'1'}
	//此方法在index中执行
	push.jPushListener = function() {
		var jpush = api.require('ajpush');

		jpush.setListener(function(ret) {
			//			alert("setListener ret = " + JSON.stringify(ret));
			//var id = ret.id;
			//var title = ret.title;
			//var content = ret.content;
			//var extra = ret.extra;

		});

		api.addEventListener({
			name : 'appintent'
		}, function(ret, err) {
			var ajpush = ret.appParam.ajpush;
			if (!ajpush) {
				ajpush = jpush;
			}
			var extra = ajpush.extra;
			//alert(extra);
			var ext = eval('(' + extra + ')');
			if (!ext) {
				return;
			}
			//var winUrl = ext.winUrl;
			if (ext.winUrl) {
				//todo:
			} else if (ext.frameUrl) {
				//todo:
			} else if (ext.invokeMethod) {
				api.execScript({
					script : ext.invokeMethod
				});
			}
		});

		api.addEventListener({
			name : 'noticeclicked'
		}, function(ret, err) {
			if (ret && ret.value) {
				var ajpush = api.require('ajpush');
				ajpush.setBadge({
					badge : 0
				});
			}
		})
		function openNotice(mercahntId) {

			api.openWin({
				name : 'notice',
				url : './notice.html',
				pageParam : {},
				bounces : false,
				opaque : false,
				slidBackEnabled : false,
				reload : true
			});
		}

		function openChatWin(mercahntId, openid, nickname) {
			api.openWin({
				name : 'msg_detail',
				url : './msg_detail.html',
				pageParam : {
					openId : openid,
					nickname : nickname
				},
				bounces : false,
				opaque : false,
				slidBackEnabled : false,
				reload : true
			});
		}

		function openOrderWin(mercahntId, orderId, openid) {
			api.openWin({
				name : 'order-info',
				url : './order-info.html',
				pageParam : {
					oid : orderId,
					uid : openid
				},
				bounces : false,
				slidBackEnabled : false,
				opaque : false
			});
		}


		win.openNotice = openNotice;
		win.openChatWin = openChatWin;
		win.openOrderWin = openOrderWin;

		api.addEventListener({
			name : 'pause'
		}, function(ret, err) {
			//jpush.onPause();
			//监听应用进入后台，通知jpush暂停事件
		});

		api.addEventListener({
			name : 'resume'
		}, function(ret, err) {
			//jpush.onResume();
			//监听应用恢复到前台，通知jpush恢复事件
		});
	};

	if (!isAppLoader) {
		win.$zwPush = push;
	} else {
		win.$zwPush = {
			jPushInit : function() {
			},
			jPushBindAliasAndTags : function(alias, tags) {
			},
			jPushListener : function() {
			}
		};

	}
})(window);
